This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 988543 - [Doc] [RFE] Glance Registry service deprecation
[Doc] [RFE] Glance Registry service deprecation
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: doc-Administration_User_Guide (Show other bugs)
4.0
Unspecified Unspecified
high Severity high
: z1
: 4.0
Assigned To: Summer Long
ecs-bugs
https://blueprints.launchpad.net/glan...
: Documentation, FutureFeature
Depends On:
Blocks: 920982 1049118
  Show dependency treegraph
 
Reported: 2013-07-25 15:33 EDT by Stephen Gordon
Modified: 2014-01-08 22:24 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-08 22:24:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gordon 2013-07-25 15:33:08 EDT
Cloned for documentation impact, refer to Bug # 920982 for implementation details.
Comment 2 Don Domingo 2013-12-02 18:57:38 EST
changing the $COMPONENT of this bug accordingly. AFAICT, any possible docs impact of BZ#920982 would be in usage, not installation doco.
Comment 3 Summer Long 2013-12-03 20:52:46 EST
Ok, looks like glance API v1 is deprecated, and the glance client is using API v2 by default. 

Flavio, could you confirm that because the client uses v2 by default, we don't have to add the following to any glance client commands in the doco?
--os-image-api-version 2

thanks, Summer
Comment 4 Flavio Percoco 2013-12-04 03:20:59 EST
The API v1 is deprecated and the client support for v2 will be completed during Icehouse. The client - version 0.12 - still uses Glance's API v1. 

Please, notice that not all features of the v2 are supported by the client.
Comment 5 Summer Long 2013-12-04 05:39:24 EST
So, Flavio, for clarity, although v1 is deprecated, if we can't be sure what v2 supports, we shouldn't force v2 usage via --os-image-api-version 2? 
We should leave client documentation as it now stands and wait for Icehouse to introduce?
Comment 6 Summer Long 2014-01-08 00:35:50 EST
Sent email reminder to Flavio.
Comment 7 Flavio Percoco 2014-01-08 03:27:41 EST
Hi Summer, sorry, not sure where that needinfo email end up.

You're right. We shouldn't be forcing `--os-image-api-version 2`, lets wait for the upstream client to do that.
Comment 8 Summer Long 2014-01-08 22:24:19 EST
Ok, this means that there's nothing additional to add to the docs; closing.

Note You need to log in before you can comment on or make changes to this bug.